<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.0" xmlns="http://java.sun.com/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd">

	<persistence-unit name="hospital" transaction-type="RESOURCE_LOCAL">
		<provider>org.eclipse.persistence.jpa.PersistenceProvider</provider>
		<exclude-unlisted-classes>false</exclude-unlisted-classes>

		<properties>
			<property name="javax.persistence.jdbc.driver" value="org.postgresql.Driver" />
		    <property name="javax.persistence.jdbc.url" value="jdbc:postgresql://localhost:5432/hospital" />
		    <property name="javax.persistence.jdbc.user" value="postgres" />
		    <property name="javax.persistence.jdbc.password" value="root" />
		    
    		<property name="javax.persistence.schema-generation.database.action" value="create"/>
            <property name="javax.persistence.schema-generation.scripts.action" value="create"/>  
            <property name="javax.persistence.schema-generation.scripts.create-target" value="ddl.txt"/>
                  
		    <property name="eclipselink.logging.level" value="fine"/>	
		    <property name="eclipselink.logging.file" value="log.txt"/>    
		</properties>
							
	</persistence-unit>
		
</persistence>
